package com.artfess.cqlt.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.cqlt.model.QfFinanceBsM;
import com.artfess.poi.util.HeaderNode;

import java.util.List;

/**
 * 财务--资产负债填报主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-03-02
 */
public interface QfFinanceBsMManager extends BaseManager<QfFinanceBsM> {

    boolean insertInfo(QfFinanceBsM t);

    boolean updateInfo(QfFinanceBsM t);

    boolean updateStatus(QfFinanceBsM t);

    boolean importExcel(List<HeaderNode> list, String mainId);
    
}
